Get product details
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/products/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"productIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({productIds: ['<string>']})
};
fetch('https://sg.sandbox.api.reap.global/agentic/products/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/products/details"
payload = { "productIds": ["<string>"] }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"id": "<string>",
"merchant": {
"name": "<string>"
},
"name": "<string>",
"media": [
{
"type": "<string>",
"url": "<string>",
"altText": "<string>"
}
],
"options": [
{
"name": "<string>",
"values": [
{
"optionId": "<string>",
"label": "<string>",
"available": true
}
]
}
],
"defaultVariant": {
"id": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"price": {
"amount": 123,
"currency": "<string>"
},
"media": [
{
"type": "<string>",
"url": "<string>",
"altText": "<string>"
}
],
"name": "<string>",
"available": true,
"requiresShipping": true
},
"description": "<string>"
}
],
"errors": [
{
"productId": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Agentic
Get product details
Returns full details for a product, including its purchasable variants. When a product has options, use POST /agentic/products/variant to resolve a variant from the selected option ids. Quote line items reference the returned variant ids.
POST
/
agentic
/
products
/
details
Get product details
curl --request POST \
--url https://sg.sandbox.api.reap.global/agentic/products/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"productIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({productIds: ['<string>']})
};
fetch('https://sg.sandbox.api.reap.global/agentic/products/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/products/details"
payload = { "productIds": ["<string>"] }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"id": "<string>",
"merchant": {
"name": "<string>"
},
"name": "<string>",
"media": [
{
"type": "<string>",
"url": "<string>",
"altText": "<string>"
}
],
"options": [
{
"name": "<string>",
"values": [
{
"optionId": "<string>",
"label": "<string>",
"available": true
}
]
}
],
"defaultVariant": {
"id": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"price": {
"amount": 123,
"currency": "<string>"
},
"media": [
{
"type": "<string>",
"url": "<string>",
"altText": "<string>"
}
],
"name": "<string>",
"available": true,
"requiresShipping": true
},
"description": "<string>"
}
],
"errors": [
{
"productId": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required array length:
1 - 10 elements